tigase.jaxmpp.core.client.xmpp.forms

## Enum XDataType

- java.lang.Object
- - java.lang.Enum<XDataType>
  - - tigase.jaxmpp.core.client.xmpp.forms.XDataType

- All Implemented Interfaces:
    Serializable, Comparable<XDataType>

      public enum XDataType
      extends Enum<XDataType>

  Types of form.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cancel` The form-submitting entity has cancelled submission of data to the form-processing entity.
    `form` The form-processing entity is asking the form-submitting entity to complete a form.
    `result` The form-processing entity is returning data (e.g., search results) to the form-submitting entity, or the data is a generic data set.
    `submit` The form-submitting entity is submitting data to the form-processing entity.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XDataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### cancel

          public static final XDataType cancel

      The form-submitting entity has cancelled submission of data to the form-processing entity.

    - #### form

          public static final XDataType form

      The form-processing entity is asking the form-submitting entity to complete a form.

    - #### result

          public static final XDataType result

      The form-processing entity is returning data (e.g., search results) to the form-submitting entity, or the data is a generic data set.

    - #### submit

          public static final XDataType submit

      The form-submitting entity is submitting data to the form-processing entity. The submission MAY include fields that were not provided in the empty form, but the form-processing entity MUST ignore any fields that it does not understand.

  - ### Method Detail

    - #### values

          public static XDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XDataType c : XDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XDataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2019 Tigase. All rights reserved.